import 'package:json_annotation/json_annotation.dart';
import 'package:odf/bean/row_list_bean.dart';

part 'port_list_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class PortListBean {
  String? name;
  List<RowListBean> rowList;

  PortListBean(this.name, this.rowList);

  factory PortListBean.fromJson(Map<String, dynamic> json) => _$PortListBeanFromJson(json);

  Map<String, dynamic> toJson() => _$PortListBeanToJson(this);
}
